Summary:	A utility for retrieving files using the HTTP or FTP protocols
Name:		wget
Version:	1.21.3
Release:	%mkrel 1
Group:		Networking/WWW
License:	GPLv3
URL:		https://www.gnu.org/software/wget/
Source0:	https://ftp.gnu.org/gnu/wget/%{name}-%{version}.tar.gz
Source1:	https://ftp.gnu.org/gnu/wget/%{name}-%{version}.tar.gz.sig
Patch2:		wget-1.21.3-hsts-32bit.patch
Patch3:		wget-forceclobber.patch
# patches 5 and 6 needs patch 3 to be applied before
# The following patch is needed for authenticated sites where login can have '@':
Patch5:		wget-urlpassword.patch
Patch7:		wget-1.15-etc.patch
Provides:	webclient webfetch
BuildRequires:	gettext
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	texinfo
BuildRequires:	pkgconfig(libidn2)
BuildRequires:	pkgconfig(libpsl)

%description
GNU Wget is a file retrieval utility which can use either the HTTP or FTP
protocols. Wget features include the ability to work in the background
while you're logged out, recursive retrieval of directories, file name
wildcard matching, remote file timestamp storage and comparison, use of
Rest with FTP servers and Range with HTTP servers to retrieve files over
slow or unstable connections, support for Proxy servers, and
configurability.

%prep
%autosetup -p1

%build
%configure \
	--enable-ipv6 \
	--disable-rpath \
	--with-ssl=openssl

%make_build

# all tests must pass (but where are they?)
# %%check
# %%__make check

%install
%make_install

%__install -m755 util/rmold.pl %{buildroot}/%{_bindir}/rmold

%find_lang %{name}
%find_lang %{name}-gnulib

%files -f %{name}.lang -f %{name}-gnulib.lang
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/wgetrc
%doc AUTHORS ChangeLog MAILING-LIST NEWS README
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/wget.1*


%changelog
* Sun Jun 05 2022 wally <wally> 1.21.3-1.mga8
+ Revision: 1861246
- new version 1.21.3 (mga#30509)

* Sat May 22 2021 wally <wally> 1.21.1-1.1.mga8
+ Revision: 1726072
- add patch from Fedora to fix downloading files >= 2GB on i586 (mga#28948)

* Sat Jan 09 2021 tmb <tmb> 1.21.1-1.mga8
+ Revision: 1670167
- update url
+ luigiwalser <luigiwalser>
- 1.21.1

* Fri Jan 01 2021 kekepower <kekepower> 1.21-1.mga8
+ Revision: 1667540
- Update to version 1.21

* Sat Feb 15 2020 umeabot <umeabot> 1.20.3-2.mga8
+ Revision: 1525213
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Apr 05 2019 luigiwalser <luigiwalser> 1.20.3-1.mga7
+ Revision: 1386198
- 1.20.3

* Wed Apr 03 2019 luigiwalser <luigiwalser> 1.20.2-1.mga7
+ Revision: 1385568
- 1.20.2

* Wed Feb 13 2019 luigiwalser <luigiwalser> 1.20.1-3.mga7
+ Revision: 1366533
- rebuild for libidn2

* Wed Jan 09 2019 wally <wally> 1.20.1-2.mga7
+ Revision: 1353606
- rebuild for new libidn2

* Thu Dec 27 2018 kekepower <kekepower> 1.20.1-1.mga7
+ Revision: 1345351
- Update to version 1.20.1

* Tue Dec 04 2018 tv <tv> 1.20-1.mga7
+ Revision: 1338257
- new release

* Mon Sep 03 2018 tv <tv> 1.19.5-2.mga7
+ Revision: 1256386
- rely on filetriggers for info system (mga#23482)

* Wed May 09 2018 kekepower <kekepower> 1.19.5-1.mga7
+ Revision: 1227931
- Update to version 1.19.5

* Wed Jan 31 2018 luigiwalser <luigiwalser> 1.19.4-1.mga7
+ Revision: 1198167
- 1.19.4

* Sat Jan 20 2018 luigiwalser <luigiwalser> 1.19.3-1.mga7
+ Revision: 1195103
- 1.19.3

* Thu Oct 26 2017 luigiwalser <luigiwalser> 1.19.2-1.mga7
+ Revision: 1173843
- 1.19.2
- rediff patches 3 and 7
- remove upstreamed patch 8

* Wed Oct 11 2017 wally <wally> 1.19.1-4.mga7
+ Revision: 1171040
- build with libpsl
- switch to libidn2

* Wed Aug 02 2017 guillomovitch <guillomovitch> 1.19.1-3.mga7
+ Revision: 1133971
- rebuild for latest openssl

* Sun Apr 02 2017 zezinho <zezinho> 1.19.1-2.mga6
+ Revision: 1095691
- security patch : check for invalid control characters in host name

* Sun Feb 12 2017 luigiwalser <luigiwalser> 1.19.1-1.mga6
+ Revision: 1085824
- 1.19.1
- rediff patch 3

* Sat Feb 04 2017 luigiwalser <luigiwalser> 1.19-1.mga6
+ Revision: 1084811
- 1.19
- remove CVE-2016-7098 patch (fixed upstream)

* Sun Oct 09 2016 pterjan <pterjan> 1.18-3.mga6
+ Revision: 1059756
- Fix CVE-2016-7098 patch (mga#19552)

* Tue Sep 13 2016 luigiwalser <luigiwalser> 1.18-2.mga6
+ Revision: 1051726
- rediff patch from opensuse to fix CVE-2016-7098

* Thu Jun 09 2016 luigiwalser <luigiwalser> 1.18-1.mga6
+ Revision: 1020975
- 1.18
- rediff patch 3

* Thu Mar 03 2016 umeabot <umeabot> 1.17.1-2.mga6
+ Revision: 984749
- Rebuild for openssl

* Fri Dec 18 2015 oden <oden> 1.17.1-1.mga6
+ Revision: 911721
- disable the tests, works fine under a real host
- 1.17.1
- rediff, and/or drop patches
+ luigiwalser <luigiwalser>
- rediff upstream patch to mitigate CVE-2015-2059 in libidn
- 1.16.3
- rediff patches 2 and 3
- remove patches 8, 9, and 10

* Mon Oct 27 2014 luigiwalser <luigiwalser> 1.15-5.mga5
+ Revision: 793847
- add upstream patch with additional hardening related to CVE-2014-4877

* Mon Oct 27 2014 luigiwalser <luigiwalser> 1.15-4.mga5
+ Revision: 793825
- add upstream patch to fix CVE-2014-4877

* Wed Oct 15 2014 umeabot <umeabot> 1.15-3.mga5
+ Revision: 746061
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.15-2.mga5
+ Revision: 690302
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1.15-1.mga5
+ Revision: 643907
- Add a patch fixing a crash due to our additional options
+ luigiwalser <luigiwalser>
- 1.15
- remove upstreamed texinfo patch
- rediff patches 2, 3, and 7

* Sat Oct 19 2013 umeabot <umeabot> 1.14-4.mga4
+ Revision: 528042
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 fwang <fwang> 1.14-3.mga4
+ Revision: 443268
- correct fix from source mage
- fix build with man pages

* Mon Jan 14 2013 umeabot <umeabot> 1.14-2.mga3
+ Revision: 385686
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 fwang <fwang> 1.14-1.mga3
+ Revision: 279221
- rediff clobber patch
- rediff fr patch
- new version 1.14

* Sat Dec 31 2011 matteo <matteo> 1.13.4-2.mga2
+ Revision: 189300
- removed wrong patch of ssl certs path
- build against openssl
- restored check section

* Tue Oct 25 2011 matteo <matteo> 1.13.4-1.mga2
+ Revision: 158124
- added gnutls-devel as br
- upgraded to version 1.13.4
+ tv <tv>
- new release
- use xz sources

* Fri Jan 14 2011 ahmad <ahmad> 1.12-5.mga1
+ Revision: 17834
- imported package wget

